#!/bin/sh
DB=test
tottrans=20000
c=16
t=`expr $tottrans / $c`
echo Cleaning up database $DB
pgbench -i $DB
echo $t transactions for each of $c concurrent users... 1>&2
pgbench -l -N -n -t $t -c $c $DB &
p=$!
wait $p
mv pgbench_log.${p} pgbench.log
cat pgbench.log | cut -f 3 -d " " | sort -n | tail
python log-to-csv.py < pgbench.log > timing.csv
psql -f create.sql $DB
psql -c " copy timing from stdin with csv" < timing.csv $DB
psql -A -t -F' ' -c "select extract(epoch from date_trunc('second',ts)),count(*) from timing group by date_trunc('second',ts) order by date_trunc('second',ts)" $DB > tpsdata.txt
psql -A -t -F' ' -c "select extract(epoch from ts),latency from timing" $DB > latency.txt
